<template>
    <div class="contain" v-if="show">
      <v-choose :chooselist="datas" @textclick="textevent"></v-choose>
      <v-footer :footer="'确认取消'" @footerEmit="enter"></v-footer>
      <v-hintbox :hintbox="hintbox" @close="close"></v-hintbox>
    </div>
</template>
<script>
import config from '@/config'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
  import store from '@/store'
  import hintbox from '@/components/hintbox/hintbox.vue'
  import footer from '@/components/footer/footer.vue'
  import choose from '@/components/choose/choose.vue'
  import province from '@/components/province/province.vue'
  import city from '@/components/city/city.vue'
  import country from '@/components/country/country.vue'
  import citydata from '@/utils/citydatas.js'
export default {
    data(){
        return{
          list:[],
          show:false,
          cancelReason:[],
          datas:[{
            choose:false,
            text:''
          }],
          appointmentId:'',
          hintbox: {
          text: "",
          show: false
        },
          
        }
            
    },
    components:{
        'v-choose':choose,
        'v-province':province,
        'v-city':city,
        'v-country':country,
        'v-hintbox':hintbox,
        'v-footer':footer

    },
    methods:{
      close(){
        this.hintbox.show = false;
        this.hintbox.text = '';
      },
      textevent(data,text){
        //this.cancelReason.push(text);
        console.log('list',text);
        this.list = text;

      },
      enter(){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        this.list.forEach((item,index)=>{
          if(item.choose){
            this.cancelReason.push(item.text);
          }
        })
        if(this.cancelReason.length===0){
          this.hintbox.show = true;
          this.hintbox.text = '请选择取消原因！';
          return;
        }
        var data = {
          openId:VerificationCodeEntity.OpenId,
          appointmentId:this.appointmentId,
          cancelReason:this.cancelReason.toString()
        };
        VeevlinkClient(
          '/member/appointment/cancel',
          'POST',
          data,
          function (data) {
            console.log(data);
            if(data.success){
            
                that.hintbox.show = true;
                that.hintbox.text = data.message;
              
              
            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
      },
      getAjax(data){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        VeevlinkClient(
          '/member/appointment/cancel?openId='+VerificationCodeEntity.OpenId,
          'GET',
          '',
          function (data) {
            console.log(data);
            if(data.success){
               that.datas = [];
              if(data.records){
                data.records.forEach((item,index)=>{
                  that.datas.push({
                      choose:false,
                      text:item
                  })
                })
                that.show = true;
                console.log(that.datas);
              }else{
                
              }
              
            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
      }
         
        
    },
    onLoad(data){
     let that = this;
     this.getAjax();
     this.appointmentId = data.appointmentId;
    
    }
}
</script>
<style lang="scss"  type="text/scss" scoped>
    .contain{
        width: 100%;
        background: white;
        height:14rem;
        position:fixed;

    }
    .contain .header{
        width: 100%;
        height: 2.4rem;  
        text-align: center; 
        
    }
    .contain .header .box{
        width: 1.5rem;
        height: 1.5rem;
        // border: 0.01rem solid black;
        border-radius: 50%;
        margin: 0.6rem auto 0 auto;
    }
    .contain .content{
        width: 100%;
        margin-top: 0.1rem;
    }
    .contain .content .list{
        width: 98%;
        margin: 0 auto;
    }
    .contain .content .list li{
        // width: 100%;
        height: 1rem;
        border-bottom: 0.01rem solid #D8D8D8;
        line-height: 1rem;
        display: flex;
        font-size:0.34rem;
        margin-left:0.3rem;
        margin-right:0.3rem;

    }
    .contain .content .list li .texle{
        width: 30%;
        color: #009CFF;
        font-weight: bold;
    }
     .contain .content .list li .texri{
        width: 70%;
    }
    .footer1{
         width: 100%;
         margin-top: 0.66rem;
        //  margin-bottom: 1rem;
     }
     .footer1 .btn{
         width: 90%;
         margin: 0 auto;
         height: 0.9rem;
         color: white;
         font-size: 0.34rem;
         line-height: 0.9rem;
         background-color: #FD7800;
         border-radius: 0.47rem;
     }
        

</style>
